Page MenuHomePhabricator

Include "FileImporter" in user-agent for internal API requests
Closed, ResolvedPublic1 Estimated Story Points

Description

This would be helpful for debugging and monitoring. It's also a requirement according to https://meta.wikimedia.org/wiki/User-Agent_policy

If we're hitting wiki APIs without a UA string, this also might be causing failures such as T228851.

Event Timeline

awight created this task.Sep 13 2019, 2:53 PM
Restricted Application added a project: archived--TCB-Team. · View Herald TranscriptSep 13 2019, 2:53 PM
awight updated the task description. (Show Details)Sep 16 2019, 8:48 AM

Should be quick. I'm dragging into the current sprint in case it helps solve the mentioned bug.

Change 536972 had a related patch set uploaded (by Awight; owner: Awight):
[mediawiki/extensions/FileImporter@master] Send a User-Agent with remote API requests

https://gerrit.wikimedia.org/r/536972

Change 537053 had a related patch set uploaded (by Awight; owner: Awight):
[mediawiki/extensions/FileImporter@wmf/1.34.0-wmf.22] Send a User-Agent with remote API requests

https://gerrit.wikimedia.org/r/537053

Change 536972 merged by jenkins-bot:
[mediawiki/extensions/FileImporter@master] Send a User-Agent with remote API requests

https://gerrit.wikimedia.org/r/536972

Tobi_WMDE_SW set the point value for this task to 1.Sep 16 2019, 10:45 AM

Change 537053 merged by jenkins-bot:
[mediawiki/extensions/FileImporter@wmf/1.34.0-wmf.22] Send a User-Agent with remote API requests

https://gerrit.wikimedia.org/r/537053

Mentioned in SAL (#wikimedia-operations) [2019-09-16T11:30:07Z] <awight@deploy1001> Synchronized php-1.34.0-wmf.22/extensions/FileImporter: SWAT: [[gerrit:537053|Send a User-Agent with remote API requests (T232840)]] (duration: 01m 02s)

Verified by webrequest logs.

awight closed this task as Resolved.Sep 18 2019, 11:48 AM